Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class DocumentNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.DocumentNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentNotFoundException

extends XBRLENLOCException

Clase utilizada para notificar errores producidos cuando no se encuentra el documento o directoiro solicitado.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `fileNotFound` Fichero no encontrado.
`static java.lang.String` | `notExistDirectoryMap` No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.
`static java.lang.String` | `notExistGlobalFile` No se ha encontrado el archivo de configuración Global.xml.
`static java.lang.String` | `notExistMapFile` No se encuentra el documento para el mapa usado en el servicio de transformación.
`static java.lang.String` | `notExistReportFile` No se encuentra el documento report indicado.
`static java.lang.String` | `notFoundInputDocumentToValidate` No se encuentra el documento a validar.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`DocumentNotFoundException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción sin indicar la causa de la excepción.
`DocumentNotFoundException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`DocumentNotFoundException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### notExistDirectoryMap

    public static final java.lang.String notExistDirectoryMap

  No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.

  See Also:
    Constant Field Values

### notExistGlobalFile

    public static final java.lang.String notExistGlobalFile

  No se ha encontrado el archivo de configuración Global.xml.

  See Also:
    Constant Field Values

### notExistMapFile

    public static final java.lang.String notExistMapFile

  No se encuentra el documento para el mapa usado en el servicio de transformación.

  See Also:
    Constant Field Values

### notExistReportFile

    public static final java.lang.String notExistReportFile

  No se encuentra el documento report indicado.

  See Also:
    Constant Field Values

### notFoundInputDocumentToValidate

    public static final java.lang.String notFoundInputDocumentToValidate

  No se encuentra el documento a validar.

  See Also:
    Constant Field Values

### fileNotFound

    public static final java.lang.String fileNotFound

  Fichero no encontrado.

  See Also:
    Constant Field Values

Constructor Detail

### DocumentNotFoundException

    public DocumentNotFoundException(java.lang.String message,
                                     java.lang.String[] parameters,
                                     java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### DocumentNotFoundException

    public DocumentNotFoundException(java.lang.String message,
                                     java.lang.String[] parameters)

  Crea una excepción sin indicar la causa de la excepción.

  Parameters:
    `message` - constante correspondiente al mensaje de error
    `parameters` - parámetros para completar el mensaje de error

### DocumentNotFoundException

    public DocumentNotFoundException(java.lang.String message,
                                     java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al mensaje
    `cause` - mensaje de la excepción original

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD